package cn.yw.alarmcode.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywalarmeventcodeDao")
public class YwalarmeventcodeDao  extends BaseSqlMapDAO{


	/**
	 * 增加记录
	 */
	public void insert_Ywalarmeventcode(Map map) throws SQLException{
		this.insert("insert_Ywalarmeventcode",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ywalarmeventcode(List batch) throws SQLException{
		this.insert("batch_insert_Ywalarmeventcode",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywalarmeventcode(Map map) throws SQLException{
		return this.update("update_Ywalarmeventcode",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywalarmeventcode(Map map) throws SQLException{
		return this.delete("delete_Ywalarmeventcode",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Ywalarmeventcode(Map map) throws SQLException{
		return this.delete("batch_delete_Ywalarmeventcode",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywalarmeventcode(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywalarmeventcode",map);
	}

	/**
	 * 查询列表记录
	 */
	public List<Map> query_Ywalarmeventcode(Map map) throws SQLException{
		return this.queryForPage("query_Ywalarmeventcode",map);
	}

	/**
	 * 查询树形菜单列表
	 */
	public List<Map> query_YwalarmeventcodeByTree(Map map) throws SQLException{
		return this.queryForList("query_YwalarmeventcodeByTree",map);
	}
	/**
	 * 查询列表记录
	 */
	/*
	public Map get_Ywalarmeventcode(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywalarmeventcode",map);
	}
	*/
}
